<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("../formatos/formato.php");



if($_POST['action']=='agregar') 

{

	if($_POST['catid']>0 )

	{

		if($_POST['can']>$_POST['canc']){

			$data['est'] = 1;

			$data['tipo'] = 'cat_can';

		}else{

		

		$_SESSION['devol_car'][$_POST['catid'].$_POST['marid']]=$_POST['can'];

		$_SESSION['devol_catid'][$_POST['catid'].$_POST['marid']]=$_POST['catid'];

		$_SESSION['devol_marid'][$_POST['catid'].$_POST['marid']]=$_POST['marid'];

		$_SESSION['devol_valuni'][$_POST['catid'].$_POST['marid']] = moneda_mysql($_POST['valuni']);



		$data['est'] = 2;

		$data['tipo'] = 'agregado';

		}

	}

	else

	{

		$data['est'] = 1;

		$data['tipo'] = 'cat_can';

		

	}

	

	echo json_encode($data);

}







if($_POST['action']=='restablecer')

{

	unset($_SESSION['devol_car']);

	unset($_SESSION['devol_valuni']);

	unset($_SESSION['devol_marid']);

	unset($_SESSION['devol_catid']);

}



if($_POST['action']=='quitar')

{

	unset($_SESSION['devol_car'][$_POST['catid']]);

	unset($_SESSION['devol_catid'][$_POST['catid']]);

	unset($_SESSION['devol_marid'][$_POST['catid']]);

	unset($_SESSION['devol_valuni'][$_POST['catid']]);

}





?>